## python-mpop 1.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NWCSAFMSGPP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NWCSAFMSGPP.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-mpop (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #754556)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Jun 2014 12:53:26 +0000

=== debian/control ===
Source: python-mpop
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-setuptools,
               python-all,
               python-numpy,
               python-sphinx,
               python-h5py,
               python-imaging,
               python-mipp,
               python-pyresample
Standards-Version: 3.9.5
Homepage: https://github.com/mraspaud/mpop
Vcs-Git: http://anonscm.debian.org/git/pkg-grass/python-mpop.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/python-mpop.git;a=summary
XS-Testsuite: autopkgtest

Package: python-mpop
Architecture: all
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends},
         python-numpy,
         python-h5py,
         python-imaging,
         python-mipp,
         python-pyresample
Description: Meteorological Post-Processing Package (MPoP)
 The Meteorological Post-Processing package is a Python library for
 generating RGB products for meteorological remote sensing.
 As such it can create RGB composites directly from satellite instrument
 channels, or take advantage of precomputed PGEs.
 .
 It is designed to be easily extendable to support any meteorological
 satellite by the creation of plugins. In the base distribution,
 it is provided support for Meteosat 7, 8, 9, MTSAT1R, MTSAT2, GOES 11,
 GOES 12, GOES 13 through the use of mipp, and Noaa 15, 16, 17, 18, 19,
 and Metop A through the use of aapp and ahamap.
 .
 Reprojection of data is also available through the use of the pyresample
 package.
 .
 This package is part of the PyTroll toolset.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY2VERS = $(shell pyversions -r -v)


%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils


override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	env PYTHONPATH=$(CURDIR) PPP_CONFIG_DIR=$(CURDIR)/etc \
		$(MAKE) -C doc html


override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PY2VERS); do \
		env PYTHONPATH=. PPP_CONFIG_DIR=debian/etc/mpop python$$py -m unittest discover mpop; \
		env PYTHONPATH=. PPP_CONFIG_DIR=debian/etc/mpop python$$py -m unittest discover test; \
	done
endif


override_dh_auto_clean:
	dh_auto_clean --buildsystem=python_distutils
	$(RM) -r mpop.egg-info
	$(MAKE) -C doc clean


.PHONY: override_dh_auto_build, override_dh_autoclean, override_dh_auto_test

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/mraspaud/mpop/ v(.*)\.tar\.gz

## python-mpop 1.3.1

=== debian/changelog ===
python-mpop (1.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Dec 2016 20:42:08 +0000

python-mpop (1.3.0-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/patches
    - new 0006-Disable-TestEmptyImage.test_pil_image.patch.
      Incompatibility with Pillow 3.4.2 (Closes: #843107, #843079)

  [ Bas Couwenberg ]
  * Fix typo in 0006-Disable-TestEmptyImage.test_pil_image.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Nov 2016 08:01:01 +0000

python-mpop (1.3.0-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/copytight
    - fix Format URL
  * debian/control
    - standard version bumped to 3.9.8 (no change)
  * debian/rules
    - enable parallel build
  * debian/patches
    - new 0005-Include-test-sub-package.patch
    - refresh all patches

  [ Bas Couwenberg ]
  * Override dh_python2 to call dh_numpy too.
  * Update copyright file, changes:
    - Group copyright statements by license
    - Update copyright years for copyright holders
    - Drop .0 from GPL-3+ license shortname

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Nov 2016 15:45:41 +0000

python-mpop (1.2.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release (Closes: #813873)
  * Refresh all patches
  * Fix debian/watch file
  * Upadated debian/copyright
  * debian/control
    - standard version bumped to 3.9.7 (no change)
    - fix Vcs-* URLs
    - update dependencies
  * debian/patches:
    - new 0002_fix_intersphinx_inventory_path.patch: avoid internet access
      when generating sphinx doc
    - new 0003_fix_missing_trollsift.patch: skip tests on the PPSReader if
      the trollsift module is not installed
    - new tempararily-disable-TestProjector.test_init.patch: see upstream
      bug https://github.com/pytroll/pyresample/issues/36

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Feb 2016 18:15:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,39 @@
 Source: python-mpop
-Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
+Section: python
+Testsuite: autopkgtest
+Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
                python-setuptools,
                python-all,
+               python-doc,
                python-numpy,
                python-sphinx,
                python-h5py,
                python-imaging,
                python-mipp,
-               python-pyresample
-Standards-Version: 3.9.5
+               python-pyresample,
+               python-pyorbital,
+               python-netcdf4,
+               python-mock
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-mpop.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-mpop.git
 Homepage: https://github.com/mraspaud/mpop
-Vcs-Git: http://anonscm.debian.org/git/pkg-grass/python-mpop.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/python-mpop.git;a=summary
-XS-Testsuite: autopkgtest
 
 Package: python-mpop
 Architecture: all
 Depends: ${shlibs:Depends},
          ${python:Depends},
          ${misc:Depends},
-         python-numpy,
          python-h5py,
          python-imaging,
          python-mipp,
-         python-pyresample
+         python-pyresample,
+         python-pyorbital,
+         python-netcdf4
 Description: Meteorological Post-Processing Package (MPoP)
  The Meteorological Post-Processing package is a Python library for
  generating RGB products for meteorological remote sensing.

## python-mpop 1.4.0

=== debian/changelog ===
python-mpop (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * Replace python-imaging dependency with python-pil.
    (closes: #866466)
  * Bump Standards-Version to 4.0.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Jun 2017 19:28:55 +0200

python-mpop (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 16:57:11 +0200

python-mpop (1.4.0-1) experimental; urgency=low

  * New upstream release
  * Update copyright file
  * debian/patches
    - refresh all patches
    - drop 0004-tempararily-disable-TestProjector.test_init.patch,
      no longer necessary

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Mar 2017 09:23:50 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                python-numpy,
                python-sphinx,
                python-h5py,
-               python-imaging,
+               python-pil,
                python-mipp,
                python-pyresample,
                python-pyorbital,
                python-netcdf4,
                python-mock
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-mpop.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-mpop.git
 Homepage: https://github.com/mraspaud/mpop
@@ -29,7 +29,7 @@
          ${python:Depends},
          ${misc:Depends},
          python-h5py,
-         python-imaging,
+         python-pil,
          python-mipp,
          python-pyresample,
          python-pyorbital,

## python-mpop 1.5.0

=== debian/changelog ===
python-mpop (1.5.0-1ubuntu2) bionic; urgency=medium

  * debian/patches/wordsize-safe-tests.patch: fix tests to work on 32-
    bit archs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Mar 2018 00:04:43 -0700

python-mpop (1.5.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Add python3-sphinx to build dependencies.

  [ Antonio Valentino ]
  * New upstream release
  * Standard version bumped to v 4.1.1 (no change)
  * debian/control
    - remove unnecessary testsuite autopkgtest header (lintian)
  * debian/source.lintian-overrides
    - added an override for python-foo-but-no-python3-foo python-mpop:
      python-mpop does not support Python 3 currently (see
      https://github.com/pytroll/mpop/issues/19)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Oct 2017 07:19:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-mpop
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
@@ -11,6 +11,7 @@
                python-doc,
                python-numpy,
                python-sphinx,
+               python3-sphinx,
                python-h5py,
                python-pil,
                python-mipp,
@@ -18,7 +19,7 @@
                python-pyorbital,
                python-netcdf4,
                python-mock
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-mpop.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-mpop.git
 Homepage: https://github.com/mraspaud/mpop

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils
+	dh $@ --parallel --with python2,sphinxdoc --buildsystem=python_distutils
 
 
 override_dh_auto_build:
@@ -21,8 +21,7 @@
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e -x; \
 	for py in $(PY2VERS); do \
-		env PYTHONPATH=. PPP_CONFIG_DIR=debian/etc/mpop python$$py -m unittest discover mpop; \
-		env PYTHONPATH=. PPP_CONFIG_DIR=debian/etc/mpop python$$py -m unittest discover test; \
+		env PYTHONPATH=. PPP_CONFIG_DIR=debian/etc/mpop python$$py setup.py test; \
 	done
 endif
 
@@ -33,4 +32,9 @@
 	$(MAKE) -C doc clean
 
 
+override_dh_python2:
+	dh_python2
+	dh_numpy
+
+
 .PHONY: override_dh_auto_build, override_dh_autoclean, override_dh_auto_test

=== debian/tests/control ===
Tests: python2
Depends: @builddeps@, python-mpop

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|python-mpop)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-mpop-$1.$2/ \
https://github.com/pytroll/mpop/releases \
(?:.*?/)?(?:rel|v|python-mpop)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
